Get Account Balances
curl --request GET \
--url https://api.prod.bastion.com/v2/accounts/{account_id}/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/accounts/{account_id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/accounts/{account_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/accounts/{account_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/accounts/{account_id}/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/accounts/{account_id}/balances")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/accounts/{account_id}/balances")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/accounts/{account_id}/balances")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/accounts/{account_id}/balances");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/accounts/{account_id}/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"balances": [
{
"symbol": "<string>",
"total": "<string>",
"available": "<string>",
"decimals": 123,
"type": "SPL_TOKEN",
"chain": "ETHEREUM_MAINNET",
"contract_address": "<string>"
}
]
}Accounts
Get Account Balances
Get base and token asset balances for a given account
GET
/
v2
/
accounts
/
{account_id}
/
balances
Get Account Balances
curl --request GET \
--url https://api.prod.bastion.com/v2/accounts/{account_id}/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/accounts/{account_id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/accounts/{account_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/accounts/{account_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/accounts/{account_id}/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/accounts/{account_id}/balances")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/accounts/{account_id}/balances")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/accounts/{account_id}/balances")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/accounts/{account_id}/balances");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/accounts/{account_id}/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"balances": [
{
"symbol": "<string>",
"total": "<string>",
"available": "<string>",
"decimals": 123,
"type": "SPL_TOKEN",
"chain": "ETHEREUM_MAINNET",
"contract_address": "<string>"
}
]
}Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier of an account.
Query Parameters
Optional chain to query balances for. If not provided, balances for all supported chains will be returned. Chain identifier
Available options:
CHAIN_UNSPECIFIED, ETHEREUM_MAINNET, POLYGON_MAINNET, ETHEREUM_TESTNET, OPTIMISM_SEPOLIA, BASE_MAINNET, BASE_SEPOLIA, OPTIMISM_MAINNET, POLYGON_AMOY, SOLANA_MAINNET, SOLANA_DEVNET Example:
"ETHEREUM_MAINNET"
Response
Success
List of balances for the account
Show child attributes
Show child attributes